


from BaseDataMaintenance.model.mysql.BaseModel import BaseModel


class DocumentRedownload(BaseModel):

    def __init__(self,_dict):

        self.setValue("uuid",_dict.get("uuid"),True)
        self.setValue("docid",_dict.get("docid"),True)
        self.setValue("detail_link",_dict.get("detail_link"),True)
        self.setValue("docchannel",_dict.get("docchannel"),True)

        self.table_name = "bxkc.document_redownload"

    def getPrimary_key(self):
        return ["uuid"]